> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.glideapps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Stash

> Deletes a stash and all its data

If you no longer need a stash, you can delete it. This will remove the stash and all the data it contains.

<Note>Even if you do not call this endpoint, all stashes are automatically deleted within 48 hours after they are created.</Note>

<Tip>
  To understand what stashing is and how to use it to work with large datasets, please see our [introduction to stashing](/api-reference/v2/stashing/introduction).
</Tip>


## OpenAPI

````yaml delete /stashes/{stashID}
openapi: 3.0.0
info:
  title: ''
  version: 0.0.1
servers:
  - description: Production
    url: https://api.glideapps.com
security:
  - BearerAuth: []
tags: []
paths:
  /stashes/{stashID}:
    delete:
      description: Deletes a stash and all its data
      parameters:
        - name: stashID
          in: path
          schema:
            type: string
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{0,255}$
            description: ID of the stash, e.g., `20240215-job32`
            example: 20240215-job32
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: false
                description: >-
                  A 200 HTTP response code indicates that the stash with the
                  given stash ID was successfully deleted.
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth
        token](/api-reference/v2/general/authentication).

````